/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.content.display.dynamic.component;

import javax.jcr.Session;

import org.exoplatform.faces.cms.component.JcrBrowser;
import org.exoplatform.faces.core.component.UIExoComponentBase;
import org.exoplatform.services.cms.CmsService;

/**
 * Wed, Dec 22, 2003 @ 23:14 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIAdminContentPortlet.java,v 1.3 2004/08/24 18:44:35 tuan08 Exp $
 */
public class UIAdminContent extends UIExoComponentBase {
  
  private CmsService cmsService_;

  public UIAdminContent(CmsService cmsService) throws Exception {
    setRendererType("ChildrenRenderer");
    
    cmsService_ = cmsService;
    UIContentConfig uiConfig = (UIContentConfig) addChild(UIContentConfig.class);
    uiConfig.setRendered(true); 
    uiConfig.updateConfigs(getSession());
    UIContentConfigForm uiConfigForm = (UIContentConfigForm)addChild(UIContentConfigForm.class);
    uiConfigForm.setRendered(false);
    uiConfigForm.initOptions();
    addChild(UIReferenceForm.class).setRendered(false);
    addChild(UIContentEditor.class).setRendered(false);
    addChild(JcrBrowser.class).setRendered(false);
	}

  public Session getSession() throws Exception {
    return cmsService_.getSession(null);
  }
  
  public Session getDraftSession() throws Exception{
    return cmsService_.getSession("draft");
  }
  
  
}