/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.content.jcr.component;

import javax.jcr.Node;
import org.exoplatform.container.PortalContainer;
import org.exoplatform.faces.core.component.UIExoComponentBase;
/**
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id$
 */
public class UIExport extends UIExoComponentBase implements ChangeNodeListener {
  private String portalName_ ;
  
  public UIExport() {
    setId("UIExport") ;
    setRendererType("VelocityRenderer") ;
    portalName_ = PortalContainer.getInstance().getPortalContainerInfo().getContainerName();
  }
  
  public String getPortalName() { return portalName_ ; }
  
  public Node getNode(){
    UIJCRExplorer uiExplorer = (UIJCRExplorer) getAncestorOfType(UIJCRExplorer.class);
    return uiExplorer.getSelectNode() ;
  }
  
  public void  onChange(UIJCRExplorer uiExplorer, Node node)  throws Exception {
    setRendered(false) ;
  }
}
