/*
 * Created on Mar 23, 2005
 */
package org.exoplatform.services.cms.impl;

import javax.jcr.Node;
import javax.jcr.PropertyType;
import javax.jcr.Session;

/**
 * @author benjaminmestrallet
 */
public class TestArticleNodeType extends BaseTest{

  public void testArticleNodeType() throws Exception{
    Session session = repository_.login(WORKSPACE);
    Node root = session.getRootNode();
    Node node = root.getNode("cms");
    
    node = node.addNode("myArticle", "exo:article");
    node.setProperty("exo:title", "MyTitle");
    node.setProperty("exo:summary", "MySummary");
    node.setProperty("exo:text", "MyText");
    
    node = node.addNode("exo:image", "nt:resource");
    
    node.setProperty("jcr:mimeType", "image/gif");
    node.setProperty("jcr:data", session.getValueFactory().
    		createValue("345678J9UJ9UHJ87TFG78", PropertyType.BINARY));
    
    session.save();
  }
  
}
