package org.exoplatform.portlets.calendar.component;

import org.exoplatform.faces.core.component.UIExoCommand;
import org.exoplatform.faces.core.component.model.Parameter;
import org.exoplatform.portlets.calendar.component.UICalendar.displayLeftPanelListener;

public class UILeftPanel extends UIExoCommand {
	
	private Parameter leftPanelDisplaySelectionParam_ = new Parameter(UICalendarPortlet.LEFT_PANEL_DISPLAY_SELECTION, "");
	private Parameter[] leftPanelDisplayParams_ = { UICalendarPortlet.LEFT_PANEL_DISPLAY_PARAM, leftPanelDisplaySelectionParam_ };
	
	public UILeftPanel() throws Exception {
		setId("UILeftPanel") ;
	  setRendererType("VelocityRenderer") ;
		setClazz("UILeftPanel") ;
		
	  leftPanelDisplaySelectionParam_.setValue(UICalendarPortlet.HIDE_LEFT_PANEL) ;
	  
		// Calendar navigation = Mini Calendar + Calendar Selection
//	  addChild(UICalendarNavigation.class) ;
	  addChild(UIMiniCalendar.class) ;
	  addChild(UICalendarSelection.class) ;

	  addActionListener(displayLeftPanelListener.class, UICalendarPortlet.LEFT_PANEL_DISPLAY_ACTION) ;
	}
	
	public Parameter[] getLeftPanelDisplayParams() {
		return leftPanelDisplayParams_ ;
	}
}
