/**************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/

package org.exoplatform.services.calendar.impl;

import org.exoplatform.services.calendar.CalendarService;
import org.exoplatform.services.database.XResources;
import org.exoplatform.services.organization.User;
import org.exoplatform.services.organization.UserEventListener;


public class NewUserListener extends UserEventListener  {
 
  CalendarService calService_ ;
  public NewUserListener(CalendarService calService) throws Exception {
    calService_ = calService;
  }

  public void preSave(User user, boolean isNew, XResources xresources) {
  }


  public void postSave(User user, boolean isNew, XResources xresources) throws Exception {
    if (!isNew)         return;
    calService_.createUserCalendar(user.getUserName());
  }

  public void preDelete(User user, XResources xresources)throws Exception {
    calService_.removeUserCalendar(user.getUserName());
  }

  public void postDelete(User user, XResources xresources) {
  }
}