/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.forum;

import java.util.List;

import org.exoplatform.container.component.BaseComponentPlugin;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Nov 25, 2004
 * @version $Id$
 */
public class ForumEventListener extends BaseComponentPlugin  {
  
  public void onSave( Category category) throws Exception  {  }
  
  public void onDelete( Category category) throws Exception  {  }
  
  public void onSave( Forum forum) throws Exception  { }
  
  public void onDelete( Forum forum) throws Exception  {}
  
  public void onSave(Forum  forum, Topic topic) throws Exception  {}
  
  public void onDelete(Forum  forum, Topic topic) throws Exception  {}
  
  public void onSave(Forum  forum, Topic topic, Post post) throws Exception  { }
  
  public void onDelete(Forum  forum, Topic topic, Post post) throws Exception  { }
  
  public static void onSave(List listeners,  Category category) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onSave( category) ;
    }
  }
  
  public static void onDelete(List listeners,  Category category) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onDelete( category) ;
    }
  }
  
  public static void onSave(List listeners,  Forum forum) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onSave( forum) ;
    }
  }
  
  public static void onDelete(List listeners,  Forum forum) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onDelete( forum) ;
    }
  }
  
  public static void onSave(List listeners, Forum forum, Topic topic) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onSave( forum ,topic) ;
    }
  }
  
  public static void onDelete(List listeners,  Forum forum,Topic topic) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onDelete(forum, topic) ;
    }
  }
  
  public static void onSave(List listeners,Forum forum,Topic topic, Post post) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);      
      listener.onSave( forum, topic ,post) ;
    }
  }
  
  public static void onDelete(List listeners,Forum forum,Topic topic, Post post) throws Exception  {
    for(int i = 0 ; i < listeners.size(); i++) {
      ForumEventListener listener = (ForumEventListener) listeners.get(i);
      listener.onDelete( forum, topic ,post) ;
    }
  }
}