/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.observation;

import javax.jcr.observation.EventListener;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: ThrowableEventListener.java 3510 2005-12-29 17:32:57Z geaz $
 */

public abstract class ThrowableEventListener implements EventListener {

	private Throwable exception;

	public ThrowableEventListener(Throwable exception) {
		super();
		this.exception = exception;
	}
	
	/**
	 * @return Returns the exception.
	 */
	public Throwable getException() {
		return exception;
	}
	

}
