/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.core;

import org.exoplatform.services.jcr.datamodel.ItemData;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: ItemState.java 3510 2005-12-29 17:32:57Z geaz $
 */

public class ItemState {
  
  private ItemData data;
  private int state;

  public ItemState(ItemData data, int state) {
    super();
    this.data = data;
    this.state = state;
  }

  /**
   * @return Returns the data.
   */
  public ItemData getData() {
    return data;
  }
  
  /**
   * @return Returns the state.
   */
  public int getState() {
    return state;
  }
  
  public boolean isNode() {
    return data.isNode();
  }
}
