/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/

package org.exoplatform.services.jcr.impl.core.itemfilters;

import javax.jcr.Item;
import javax.jcr.RepositoryException;

/**
 * Created by The eXo Platform SARL        .
 *
 * @author <a href="mailto:geaz@users.sourceforge.net">Gennady Azarenkov</a>
 * @version $Id: AbsPathFilter.java 3510 2005-12-29 17:32:57Z geaz $
 */

public class AbsPathFilter implements ItemFilter {

  private String path;

  public AbsPathFilter(String absPath) {
    this.path = absPath;
  }

  /**
   * @see ItemFilter#accept
   */
  public boolean accept(Item item) throws RepositoryException {
    String path = item.getPath();
    return path.equals(this.path);
  }
}
