/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.templates.groovy;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Mar 2, 2005
 * @version $Id$
 */
public class GroovyTemplateTextLoader extends GroovyTemplateLoader {
  private String name_ ;
  private ByteArrayInputStream is_ ;
  
  public GroovyTemplateTextLoader(String name, String text) {
    name_ =name;    
    is_ = new ByteArrayInputStream(text.getBytes()) ;    
  }
  
  public boolean canLoad(String type, String template) throws Exception {    
    if(!"text".equals(type)) return false ;
    return name_.equals(template) ;
  }
  
  public InputStream load(String template) throws Exception {    
    return is_ ;
  }
}
