/**
 * Copyright 2001-2003 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail. 
 */

package org.exoplatform.services.templates.velocity.test;

import java.io.PrintWriter;
import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.exoplatform.container.PortalContainer ;
import org.exoplatform.services.templates.velocity.VelocityService;
import org.exoplatform.test.BasicTestCase;
/**
 * Created y the eXo platform team
 * User: Benjamin Mestrallet
 * Date: 16 juin 2004
 */
public class TestVelocityService extends BasicTestCase {

  public TestVelocityService(String name) {
    super(name);
  }

  public void setUp() throws Exception {
   
  }

  public void testVeloctityService() throws Exception {
    VelocityService service =
      (VelocityService) PortalContainer.getInstance().getComponentInstanceOfType(VelocityService.class) ;
    Template template = 
      service.getTemplate("src/test/org/exoplatform/services/templates/velocity/test/Velocity.vm") ;
    VelocityContext context = new VelocityContext() ;
    PrintWriter w  = new PrintWriter(System.out) ;
    template.merge(context, w) ;
    w.flush() ;
  } 
}