/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.portal.community.impl;

import org.exoplatform.services.organization.Group;
import org.exoplatform.services.organization.GroupEventListener;
import org.exoplatform.services.portal.community.CommunityConfigService;
import org.exoplatform.services.portal.community.CommunityNavigation;
import org.exoplatform.services.portal.community.CommunityPortal;
/**
 * Author : Tuan Nguyen
 *          tuan08@groups.sourceforge.net
 * Wed, Feb 18, 2004 @ 21:33 
 */
public class CommunityGroupEventListener extends GroupEventListener {

  private CommunityConfigService communityService_ ;
  
  public CommunityGroupEventListener(CommunityConfigService cservice) {
    communityService_ = cservice ;
  }
  
  public void postDelete(Group group) throws Exception {
    CommunityPortal cp = communityService_.getCommunityPortal(group.getId()) ;
    if(cp != null) {
      communityService_.removeCommunityPortal(cp) ;
    }
    CommunityNavigation cn = communityService_.getCommunityNavigation(group.getId()) ;
    if(cn != null) {
      communityService_.removeCommunityNavigation(cn) ;
    }
  }
}