/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.sso.cas2;

import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.container.xml.InitParams;
import org.exoplatform.services.security.sso.SSOAuthentication;
import org.exoplatform.services.security.sso.impl.BaseSSOAuthentication;
import org.exoplatform.services.security.sso.impl.SSOAuthenticationConfig;

import edu.yale.its.tp.cas.proxy.ProxyTicketReceptor;

/**
 * Created by The eXo Platform SARL
 * Author : Franois MORON
 *          francois.moron@exoplatform.com
 * Dec 21, 2005
 */
public class CASSSOAuthentication extends BaseSSOAuthentication {
	
	public CASSSOAuthentication(InitParams params) {
	 super.setSSOAuthenticationConfig(
			(SSOAuthenticationConfig) params.getObjectParam("security.authentication.sso.cas.configuration").getObject()) ;
	}
	public String getProxyTicket(String proxyGrantingTicket, String urlOfTargetService) throws Exception {
    // TODO : test CAS proxy failure for invalid or expired PGTs
    return ProxyTicketReceptor.getProxyTicket(proxyGrantingTicket, urlOfTargetService) ;
  }

}
