/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.runner;

import suites.portal.*;
import suites.share.AccountUnit;
import suites.share.NewAccountSuite;
import suites.share.UserLoginSuite;
import suites.share.UserLogoutSuite;

import org.exoplatform.test.web.* ;

/**
 * Created by The eXo Platform SARL
 * Author : Hoa  Pham
 *          hoapham@exoplatform.com,phamvuxuanhoa@yahoo.com
 * Nov 8, 2005
**/
public class PortalUserSuites extends TestSuites {
  public PortalUserSuites() {        
    addSuite(new NewAccountSuite()) ;
    String[] roles = ["user"] ;
    addSuite(new UserLoginSuite("#{client.name}", "#{client.name}", roles)) ;    
    addSuite(new CustomizationPageSuite()) ;
    addSuite(new CustomizationNavigationSuite()) ;
    //addSuite(new CustomizationPortalSuite()) ;
    addSuite(new UserLogoutSuite());
  }
}
