/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL                               *
 * All rights reserved.                                                    *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/

package org.exoplatform.services.jcr.impl.importing;


import org.apache.commons.digester.ExtendedBaseRules;
import javax.jcr.Node;
import javax.jcr.ImportUUIDBehavior;
import java.util.Stack;


/**
 * Created by The eXo Platform SARL
 *  Digester rules for session importer
 *
 * @author <a href="mailto:alex.kravchuk@gmail.com">Alexander Kravchuk</a>
 * @version $Id: DocViewSessionRules.java 3510 2005-12-29 17:32:57Z geaz $
 */
public class DocViewSessionRules extends ExtendedBaseRules {
//    private int uuidBehavior = ImportUUIDBehavior.IMPORT_UUID_CREATE_NEW;
//
//    /**
//     * @see   javax.jcr.ImportUUIDBehavior
//     */
//    public int getUuidBehavior() {
//        return uuidBehavior;
//    }
//
//    /**
//     * @see   javax.jcr.ImportUUIDBehavior
//     */
//    public void setUuidBehavior(int uuidBehavior) {
//        this.uuidBehavior = uuidBehavior;
//    }
//

    DocViewSessionRules(Node startNode,int uuidBehviour){
//        Stack nodesStack = new Stack();
//        nodesStack.push(startNode);

        CommonRule rule = new DocViewRule(startNode);
        rule.setUuidBehavior(uuidBehviour);
        add("*", rule);

    }
}
