/**
 * Copyright 2001-2003 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

package org.exoplatform.services.jcr.impl;


import javax.jcr.Repository;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.jcr.BasePortalTest;
import org.exoplatform.services.jcr.RepositoryService;


/**
 * Created by The eXo Platform SARL        .
 *
 * @author <a href="mailto:geaz@users.sourceforge.net">Gennady Azarenkov</a>
 * @version $Id: TestContainer.java 3510 2005-12-29 17:32:57Z geaz $
 */

public class TestContainer extends BasePortalTest {

  protected String getRepositoryName() {
    return "mock";
  }

  public void testRepositoryContainerRegistration() throws Exception {
    PortalContainer manager = PortalContainer.getInstance();

//    RepositoryServiceConfig config = (RepositoryServiceConfig) manager.getComponentInstanceOfType(RepositoryServiceConfig.class);
//    assertNotNull(config);
    RepositoryService service = (RepositoryService) manager.getComponentInstanceOfType(RepositoryService.class);
    assertNotNull(service);


    Repository rep = service.getRepository("mock");
    assertNotNull("Repository(1) is Null", rep);

/*
//    RepositoryServiceConfiguration config = (RepositoryServiceConfiguration) manager.getComponentInstanceOfType(RepositoryServiceConfiguration.class);
//    assertNotNull("Config is null", config);
    ContainerEntry entry = config.getContainerEntry("c.inmemory");
    assertNotNull("'c.inmemory' entry not found!", entry);

    assertEquals(config, service.getConfig());
    String containerName = entry.getType().getName();
    assertEquals("org.exoplatform.services.jcr.impl.storage.inmemory.ContainerImpl", containerName);
    assertNotNull(Class.forName(containerName));

    rep = service.getRepository("mock");
    assertNotNull("Repository(2) is Null", rep);
*/
  }

}
