/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.database.impl;

import java.net.URL;
import java.util.List;
import java.util.Properties;

import org.exoplatform.services.database.HibernateConfiguration;
import org.exoplatform.services.database.HibernateService;
import org.exoplatform.services.log.LogService;
import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.tool.hbm2ddl.SchemaUpdate;

/**
 * Created by The eXo Platform SARL .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: $
 * 
 * Hibernate's Configuration. One per 'properties-param' entry in 
 * container configuration 
 */
public class HibernateConfigurationImpl  extends Configuration  {

	public HibernateConfigurationImpl(HibernateSettingsFactory settingsFactory) throws HibernateException {
		super(settingsFactory);
	}
}