/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.organization;

import java.util.Collection;

/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Oct 13, 2005
 */
public interface UserProfileHandler {
  public UserProfile createUserProfileInstance() ;
  public void saveUserProfile(UserProfile profile, boolean broadcast) throws Exception ;
  public UserProfile removeUserProfile(String userName, boolean broadcast) throws Exception ;
  public UserProfile findUserProfileByName(String userName) throws Exception ;
  public Collection findUserProfiles() throws Exception ;
  
  public void addUserProfileEventListener(UserProfileEventListener listener) ;
}
