/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.log;

import java.util.Collection;
import java.util.GregorianCalendar;
import java.util.List;

import org.exoplatform.commons.utils.PageList;
import org.exoplatform.services.portal.log.UserLogQuery ;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Dec 2, 2004
 * @version $Id$
 */
public interface UserActivitiesLogService {
  
  public void logUserActivites(String sessionId, String userName, String portalOwner, long startTime,
                               String accessIp) ;
  public void updateLogUserActivities(String sessionId, long currentTime) ;
  public Collection getUserLogChartDatas(UserLogQuery queryData, List style) throws Exception ;
  public PageList getUserLogDatas(UserLogQuery queryData) throws Exception  ;
  
}