/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.model;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Mar 9, 2005
 * @version $Id$
 */
public class Permission {
  String group = "/user";
  String membership = "owner" ;
  
  public Permission() { }
  
  public Permission(Permission perm) { 
    this.group = perm.getGroup();
    this.membership = perm.getMembership();
  }
  
  
  public Permission(String group, String membership) { 
    this.group = group ;
    this.membership = membership ;
  }
  
  public String getGroup() { return group ; }
  public void   setGroup(String s) { group = s ; }
  
  public String getMembership() { return membership ; }
  public void   setMembership(String s) { membership = s ; }
  
  public String toString() {
    if(group == null ||  group.length() == 0) return null ;
    if(membership == null) return  "*:" + group ;
    return membership + ":" + group ;
  }
}
